#!/bin/sh -e

VERSION=$2
TAR=../plexus-active-collections_$VERSION.orig.tar.gz
DIR=plexus-active-collections-$VERSION
TAG=$(echo "plexus-active-collections-$VERSION" | sed -re's/~(alpha|beta)/-\1-/')

svn export http://svn.codehaus.org/plexus/tags/${TAG}/ $DIR
tar -c -z -f $TAR $DIR
rm -rf $DIR ../$TAG

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
  . .svn/deb-layout
  mv $TAR $origDir
  echo "moved $TAR to $origDir"
fi
